Bug 1064864 - drupal6-ctools: access bypass issues
drupal6-ctools: access bypass issues
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140212,repor...
: Security
Depends On: 1064865 1064866 1064867 1064871
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 07:46 EST by Murray McAllister
Modified: 2015-07-31 03:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 19:01:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-02-13 07:46:49 EST
Access bypass issues were found in the Chaos tool suite (ctools) module. The upstream advisory https://drupal.org/node/2194589 states:

"Prior to this version, ctools did not sufficiently check access grants for various types of content other than nodes. It also didn't sufficiently check access before displaying content with the relationship plugin.

These vulnerabilities are mitigated by the fact that you must be using entities other than node or users for the autocomplete callback, or you must be using the relationship plugin and displaying the content (e.g. in panels)."

These have been resolved in versions 6.x-1.11 and 7.x-1.4:

https://drupal.org/node/2194547
https://drupal.org/node/2194551
Comment 1 Murray McAllister 2014-02-13 07:48:48 EST
Created drupal7-ctools tracking bugs for this issue:

Affects: fedora-all [bug 1064866]
Affects: epel-all [bug 1064871]
Comment 2 Murray McAllister 2014-02-13 07:48:51 EST
Created drupal6-ctools tracking bugs for this issue:

Affects: fedora-all [bug 1064865]
Affects: epel-all [bug 1064867]
Comment 3 Fedora Update System 2014-02-22 13:09:18 EST
drupal6-ctools-1.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-02-22 13:21:14 EST
drupal6-ctools-1.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-03-01 09:12:42 EST
drupal7-ctools-1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-01 09:15:16 EST
drupal7-ctools-1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-03-06 16:07:01 EST
drupal6-ctools-1.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-06 16:11:27 EST
drupal6-ctools-1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-03-08 16:00:09 EST
drupal7-ctools-1.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-03-08 16:01:26 EST
drupal7-ctools-1.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Peter Borsa 2014-03-09 06:01:41 EDT
All ctools packages are in stable repositories. Can we close this issue?
Comment 12 Murray McAllister 2014-03-10 19:01:57 EDT
Hi Peter,

Thanks for the quick fixes for these, and sorry for the slow reply.

The Security Response Team closes these ones (the ones filed against the "Security Response" Product).

Note You need to log in before you can comment on or make changes to this bug.